using System;
using System.Collections;
using Server;
using Server.Items;
using Server.Mobiles;
using Server.Targeting;
using Server.Network;

namespace Server.Items
{
	public class Tailorboddeed
	{
             		public static void Initialize()
             		{
             		Server.Commands.Register( "Taideed", AccessLevel.Player, new CommandEventHandler( TailorboddeedCommand ) );
             		}

             		[Usage( "Taideed" )]
             		public static void TailorboddeedCommand( CommandEventArgs e )
             		{
			if ( e.Mobile.Frozen || e.Mobile.CantWalk )
				e.Mobile.SendMessage("Pin kodunu yazmadan bu ilemi yapamazsnz.");
			else
			{
                                           Mobile from = e.Mobile;
                                    PlayerMobile pm = (PlayerMobile)from;

             		if ( from.Skills.Tailoring.Base < 100 )
             		             {
                                            from.SendMessage( 1150,"Tailor Skilliniz Yeterli Degil!" );
                                            return;
                                         }
                                     else
                                         {
                                                if ( pm.BODTailorMax > 0 )
                                                       {
                                                           from.AddToBackpack( new TailorBodDeed() );
                                                           pm.BODTailorMax -= 1;
                                                           pm.BODTailor -= 1;                                                                       
                                                           from.SendMessage( 1150,"Bod Hakki Cantaniza Kondu!" );
                                                       }
                                                else
                                                      {
                                                            from.AddToBackpack( new TailorBodDeed() );
                                                            from.SendMessage( 1150,"Bod Hakki Cantaniza Kondu!" );
                                                            from.Skills.Tailoring.Base = 50;
                                                      }
                                         }
                           }
		}

	public class TailorBodDeed : Item
	{
             		[Constructable]
		public TailorBodDeed () : base ( 0x14F0 )
		{
			Name = "Tailor Bod Hakki";
			LootType = LootType.Blessed;
			Hue = 77;
		}
                
      		public override void OnDoubleClick( Mobile from  ) 
      		{
                                        PlayerMobile pm = (PlayerMobile)from;
			if ( !IsChildOf( from.Backpack ) )
			{
                                from.SendMessage( "Cantanizda Olmali" );
			}
			else
                                          {
                                                  if ( from.Skills.Tailoring.Base < 100 )
                                                        {
                                                                 from.SendMessage( 1150,"Tailor Skilliniz Yeterli Degil!" );
                                                                  return;      
                                                        }
                                                  else
                                                         {
                                                           pm.BODTailorMax += 1;
                                                           pm.BODTailor += 1;                                                                    
                                                           from.SendMessage( 1150,"Bod Hakki Aktarildi 6 Saat sonra Kullanabilirsiniz!" );  
                                                           pm.NextTailorBulkOrder = TimeSpan.FromHours( 6 );
                                                           this.Delete();                                                                                                              
                                                         }
                                           }                            			
		}
		public TailorBodDeed ( Serial serial ) : base ( serial )
		{
		}

		public override void Serialize ( GenericWriter writer)
		{
			base.Serialize ( writer );

			writer.Write ( (int) 0);
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize ( reader );

			int version = reader.ReadInt();
		}
              }
}
}