using System; 
using System.Collections; 
using Server; 
using Server.Items; 
using Server.Mobiles; 
using Server.Targeting; 
using Server.Network; 

namespace Server.Items 
{ 
   public class SmithBodDeed 
   { 
                   public static void Initialize() 
                   { 
                   Server.Commands.Register( "BsDeed", AccessLevel.Player, new CommandEventHandler( BlacksmithBodDeedCommand ) ); 
                   } 

                   [Usage( "BsDeed" )] 
                   public static void BlacksmithBodDeedCommand( CommandEventArgs e ) 
                   {
			if ( e.Mobile.Frozen || e.Mobile.CantWalk )
				e.Mobile.SendMessage("Pin kodunu yazmadan bu ilemi yapamazsnz.");
			else
			{
                                           Mobile from = e.Mobile; 
                                    PlayerMobile pm = (PlayerMobile)from; 

                   if ( from.Skills.Blacksmith.Base < 100 ) 
                                { 
                                            from.SendMessage( 1150,"Blacksmith skilliniz yeterli degil." ); 
                                            return; 
                                         } 
                                     else 
                                         { 
                                                if ( pm.BODSmithMax > 0 ) 
                                                       { 
                                                           from.AddToBackpack( new BlacksmithBodDeed() ); 
                                                           pm.BODSmithMax -= 1;
                                                           pm.BODSmith -= 1;                                                                      
                                                           from.SendMessage( 1150,"Bod Hakki Cantaniza Kondu." ); 
                                                       } 
                                                else 
                                                      { 
                                                            from.AddToBackpack( new BlacksmithBodDeed() ); 
                                                            from.SendMessage( 1150,"Bod Hakki Cantaniza Kondu." ); 
                                                            from.Skills.Blacksmith.Base = 50; 
                                                      } 
                                         } 
                           } 
		}

   public class BlacksmithBodDeed : Item 
   { 
                   [Constructable] 
      public BlacksmithBodDeed () : base ( 0x14F0 ) 
      { 
         Name = "Blacksmith Bod Hakki"; 
         LootType = LootType.Blessed; 
         Hue = 88; 
      } 
                
            public override void OnDoubleClick( Mobile from  ) 
            { 
                                        PlayerMobile pm = (PlayerMobile)from; 
         if ( !IsChildOf( from.Backpack ) ) 
         { 
                                from.SendMessage( "antanda Olmali!" ); 
         } 
         else 
                                          { 
                                                  if ( from.Skills.Blacksmith.Base < 100 ) 
                                                        { 
                                                                 from.SendMessage( 1150,"Blacksmith skilliniz yeterli degil!" ); 
                                                                  return;      
                                                        } 
                                                  else 
                                                         { 
                                                           pm.BODSmithMax += 1;
                                                           pm.BODSmith += 1;                                                                    
                                                           from.SendMessage( 1150,"Bod Hakki Aktarildi 6 Saat sonra Kullanabilirsiniz." );  
                                                           pm.NextSmithBulkOrder = TimeSpan.FromHours( 6 ); 
                                                           this.Delete();                                                                                                              
                                                         } 
                                           }                                      
      } 
      public BlacksmithBodDeed ( Serial serial ) : base ( serial ) 
      { 
      } 

      public override void Serialize ( GenericWriter writer) 
      { 
         base.Serialize ( writer ); 

         writer.Write ( (int) 0); 
      } 

      public override void Deserialize( GenericReader reader ) 
      { 
         base.Deserialize ( reader ); 

         int version = reader.ReadInt(); 
      } 
              } 
} 
}